Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 475560 - number of critical patches listed in sdc is not correct
Summary: number of critical patches listed in sdc is not correct
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: wes hayutin
URL: https://dhcp231-158.rdu.redhat.com/rh...
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-12-09 17:03 UTC by wes hayutin
Modified: 2009-01-22 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:12 UTC


Attachments (Terms of Use)
ss of the # of errata (deleted)
2008-12-09 17:03 UTC, wes hayutin
no flags Details
ss of the # of errata in sdc (deleted)
2008-12-09 17:05 UTC, wes hayutin
no flags Details
ss of the # of errata in list of errata (deleted)
2008-12-09 17:06 UTC, wes hayutin
no flags Details

Description wes hayutin 2008-12-09 17:03:15 UTC
Description of problem:

register a system to spacewalk
go to the system overview.. note the number of errata and packages that need updating

Comment 1 wes hayutin 2008-12-09 17:03:41 UTC
Created attachment 326359 [details]
ss of the # of errata

Comment 2 wes hayutin 2008-12-09 17:04:52 UTC
now click into the system and view the sdc..

notice the number of packages listed as critical..  it has changed from "1" to "3"

Comment 3 wes hayutin 2008-12-09 17:05:24 UTC
Created attachment 326361 [details]
ss of the # of errata in sdc

Comment 4 wes hayutin 2008-12-09 17:05:57 UTC
now click on the link "critical" in the sdc and only one package is listed..

Comment 5 wes hayutin 2008-12-09 17:06:29 UTC
Created attachment 326363 [details]
ss of the # of errata in list of errata

Comment 6 Jesus M. Rodriguez 2008-12-15 16:56:47 UTC
system list page uses value from rhnserveroverview:

for example on my test system which shows 275 errata, the following query
is used to determine that:

select security_errata, bug_errata, enhancement_errata from rhnserveroverview where server_id = 1000098324;

SECURITY_ERRATA BUG_ERRATA ENHANCEMENT_ERRATA
--------------- ---------- ------------------
	     70        174		   31

Next to find where it gets the numbers for the Server Details page.

Comment 7 Jesus M. Rodriguez 2008-12-15 18:36:17 UTC
added a distinct to the count_critical_errata_for_system and count_noncritical_errata_for_system datasource queries in Errata_queries.xml.

http://git.fedorahosted.org/git/?p=spacewalk.git;a=commitdiff;h=02fe97e74ce9d33feab334dc97855a0cd83dd017

Comment 8 Jesus M. Rodriguez 2009-01-15 03:13:51 UTC
Both Critical and Non-Critical link to the same page. So the total seen on the result ErrataList page is the sum of the two on the previous page.

The packages link page shows the same number as seen on the sdc.


Note You need to log in before you can comment on or make changes to this bug.